Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
BeagleWksSSParserInternal::State Struct Reference

Internal: the state of a BeagleWksSSParser. More...

## Public Member Functions
| State ()
| constructor More...

## Static Public Member Functions
static bool | getColor (int id, MWAWColor &color)
| returns a color corresponding to an id More...

## Public Attributes
long | m_spreadsheetBegin
| the spreadsheet begin position More...
Spreadsheet | m_spreadsheet
| the spreadsheet More...
std::string | m_spreadsheetName
| the spreadsheet name More...
std::vector< shared_ptr< Chart > > | m_chartList
| the list of chart More...
std::multimap< std::string, MWAWEntry > | m_typeEntryMap
| the type entry map More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a BeagleWksSSParser.

## Constructor & Destructor Documentation

## ◆ State()

BeagleWksSSParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getColor()

static bool BeagleWksSSParserInternal::State::getColor | ( | int | id,
|  | MWAWColor & | color
| ) |  |
| inline static

returns a color corresponding to an id

## Member Data Documentation

## ◆ m_actPage

int BeagleWksSSParserInternal::State::m_actPage

the actual page

## ◆ m_chartList

std::vector<shared_ptr<Chart> > BeagleWksSSParserInternal::State::m_chartList

the list of chart

## ◆ m_footerHeight

int BeagleWksSSParserInternal::State::m_footerHeight

the footer height if known

## ◆ m_headerHeight

int BeagleWksSSParserInternal::State::m_headerHeight

the header height if known

## ◆ m_numPages

int BeagleWksSSParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_spreadsheet

Spreadsheet BeagleWksSSParserInternal::State::m_spreadsheet

the spreadsheet

## ◆ m_spreadsheetBegin

long BeagleWksSSParserInternal::State::m_spreadsheetBegin

the spreadsheet begin position

## ◆ m_spreadsheetName

std::string BeagleWksSSParserInternal::State::m_spreadsheetName

the spreadsheet name

## ◆ m_typeEntryMap

std::multimap<std::string, MWAWEntry> BeagleWksSSParserInternal::State::m_typeEntryMap

the type entry map

The documentation for this struct was generated from the following file:

- BeagleWksSSParser.cxx